---
title: "Get Widget Data"
slug: "get-widget-data"
updated: 2026-01-29T13:55:27Z
published: 2026-01-29T13:55:52Z
canonical: "documents.revsure.ai/get-widget-data"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://documents.revsure.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Widget Data
Post/api/v1/marketing-mix/{widget}/data
Returns data for a specific widget based on marketing payload
Header parametersauthtokenstring
Auth Token
Path parameterswidgetstringRequired
Widget name
Valid values[
"channel_performance",
"channel_bar_trends"
]
Body parameters
Marketing payload
Demand gen Payload Example
Demand gen Payload Example
```json
{
"quarters": [
"q0",
"q-1",
"q-2",
"q-3"
],
"funnelView": "value",
"featureGroups": [
"test-4",
"LinkedIn",
"test-5",
"Google",
"Facebook",
"test-2",
"test-7",
"test",
"test-6",
"test-3",
"Baseline",
"test-8"
],
"trendStart": "q0"
}
```
Expand Allobject funnelViewstring
View type for funnel data
Examplevolume
filterobject
Map of selected filters
property*object (SelectedFilter) additionalProperties
Map of selected filters
typestring Valid values[
"INTEGER",
"LONG",
"DECIMAL",
"FLOAT",
"DOUBLE",
"BOOLEAN",
"STRING",
"TIMESTAMP",
"DATE",
"AGGREGATE",
"ARRAYSTRING"
]
containsboolean
operatorstring
values Array of string string
permissionFilterboolean
implicitboolean
customFilterboolean
children Array of object (SelectedFilter) object Recursive
Map of selected filters
emptyboolean
dateFilterstring
Date range for analyzing data
ExamplelastYear
startstring (date-time)
Start date time for date range
startDatestring
Start date string for date range
Example2023-01-01
endstring (date-time)
End date time for date range
endDatestring
End date string for date range
Example2023-12-31
quarters Array of string
List of quarters for analysis
string
List of quarters for analysis
featureGroups Array of string
List of feature groups for analysis
string
List of feature groups for analysis
trendStartstring
Starting trend point
Exampleq0
columns Array of string
List of columns to include in results
string
List of columns to include in results
widgetFeatureGroups Array of string
List of feature groups for widgets
string
List of feature groups for widgets
widgetQuarters Array of string
List of quarters for widgets
string
List of quarters for widgets
primaryMetricstring
Primary metric for analysis
secondaryMetricstring
Secondary metric for analysis
metrics Array of string
List of metrics to analyze
string
List of metrics to analyze
barChartMetrics Array of string
List of metrics for bar chart visualization
string
List of metrics for bar chart visualization
trendLineMetrics Array of string
List of metrics for trend line visualization
string
List of metrics for trend line visualization
viewBystring
Time grouping for view
Examplequarterly
valuesstring
Flag to include values in results
Exampletrue
startQuarterstring
Starting quarter for analysis
ExampleQ1
endQuarterstring
Ending quarter for analysis
ExampleQ4
configIdstring
Configuration ID for marketing mix
xaxisMetricstring
yaxisMetricstring
Responses200
OK
Expand Allobject resultboolean
cachedDataboolean
requestIdstring
dataobject
messagestring
errorCodestring
errorMessagestring
metadataobject property*object additionalProperties